Name: qlandkartegt
Version: 1.8.1
Release: %mkrel 3
Summary: GPS device mapping tool
Group: File tools
License: GPLv2+
URL: http://www.qlandkarte.org/
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
# <GL/glu.h> not included by qt >= 4.8
Patch0: %{name}-1.3.0-fedora-glu.patch
BuildRequires: cmake
BuildRequires: mesaglu-devel
BuildRequires: proj-devel
BuildRequires: gdal-devel
BuildRequires: desktop-file-utils
BuildRequires: libexif-devel
BuildRequires: libdmtx-devel
BuildRequires: %{_lib}gpsd-devel
BuildRequires: %{_lib}qt4-devel
BuildRequires: postgresql9.3-devel
Requires: gdal
Requires: gpsbabel
Suggests: garmindev(interface) = 1.18



%description
QLandkarte GT is the ultimate outdoor aficionado's tool for GPS maps in
GeoTiff format as well as Garmin's img vector map format. Additional it is
the PC side frontend to QLandkarte M, a moving map application for mobile
devices. And it fills the gap Garmin leaves in refusing to support Linux.
QLandkarte GT is the proof that writing portable applications for Unix,
Windows and OSX is feasible with a minimum of overhead. No excuses!

QLandkarte GT does replace the original QLandkarte with a much more
flexible architecture. It's not limited to a map format or device. Thus
if you think your Magellan GPS or other should be supported, join the team.

Additionally it is a front end to the GDAL tools, to make georeferencing
scanned maps feasible for the normal user. Compared to similar tools like
QGis, it's target users are more on the consumer side than on the scientific
one. QLandkarte GT might not let you select every possible feature of the
GDAL tools, but it will simplify their use to the demands of most users.


%prep
%setup -q
%patch0 -p1 -b .glu

%build
export PATH="/usr/lib64/qt4/bin:$PATH"

%cmake -DBUILD_SHARED_LIBS:BOOL=OFF -DGPX_EXTENSIONS=ON 
%make VERBOSE=1 


%install
cd build
%make_install

# fix desktop validation
sed -i s+Geography+Science\;Geography+ %{buildroot}%{_datadir}/applications/%{name}.desktop
sed -i s+tracks+tracks\;+ %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-MoreApplications-Sciences-Other" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%files
%doc copying changelog.txt
%{_bindir}/%{name}
%{_bindir}/map2gcm
%{_bindir}/map2jnx
%{_bindir}/map2rmp
%{_bindir}/cache2gtiff
%{_bindir}/map2rmap
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.*

%changelog
* Sun Jun 04 2017 adrianomorselli <adrianomorselli> 1.8.1-3uplos2017
- rebuild for 2017